#include <stdlib.h>
#include "abuff.h"

void *FASTcalloc(size_t n,size_t size)
/* 要素個数がn,各要素サイズがsizeの配列を確保する */
/* FASTmalloc()対応のため作った */
{
size_t all;
char *ptr,*ptr1;
	all=n*size; /* トータルの確保サイズ */
	ptr=FASTmalloc(all);
	if (ptr!=NULL) { /* 配列要素の初期化：確保出来た時のみ */
		ptr1=ptr;
		while ((all--)>0) *ptr1++=0;
	}
	return(ptr);
}
